Package com.sas.lsaf.workflow.processflow

## Enum DataProperty.Type

- java.lang.Object
- - java.lang.Enum<DataProperty.Type>
  - - com.sas.lsaf.workflow.processflow.DataProperty.Type

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<DataProperty.Type>`
  Enclosing class:
    DataProperty

      public static enum DataProperty.Type
      extends java.lang.Enum<DataProperty.Type>

  The property types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOOLEAN` | A Boolean value.
    `DATE` | A date value.
    `ENUM` | An enumeration of ordinal values.
    `LONG` | A long numeric.
    `STRING` | A string value.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DataProperty.Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static DataProperty.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LONG

          public static final DataProperty.Type LONG

      A long numeric.

    - #### STRING

          public static final DataProperty.Type STRING

      A string value.

    - #### DATE

          public static final DataProperty.Type DATE

      A date value.

    - #### BOOLEAN

          public static final DataProperty.Type BOOLEAN

      A Boolean value. The values for this type are True and False. True values are displayed as Yes and false values as No.

    - #### ENUM

          public static final DataProperty.Type ENUM

      An enumeration of ordinal values.

  - ### Method Detail

    - #### values

          public static DataProperty.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataProperty.Type c : DataProperty.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataProperty.Type valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null